> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the Cash Flow Report

> **Scopes:** `report:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/reports/cash-flow
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/reports/cash-flow:
    get:
      tags:
        - Reports
      summary: Retrieve the Cash Flow Report
      description: '**Scopes:** `report:read`'
      operationId: get_cash_flow
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The ID of the Business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The ID of the Business
        - name: basis
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ReportBasis'
            description: Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
            default: modified_cash
          description: Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
        - name: start_datetime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: The start date (inclusive) in ISO-8601 format.
            examples:
              - '2025-01-01T00:00:00Z'
            title: Start Datetime
          description: The start date (inclusive) in ISO-8601 format.
        - name: end_datetime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: The end date (inclusive) in ISO-8601 format.
            examples:
              - '2026-01-01T00:00:00Z'
            title: End Datetime
          description: The end date (inclusive) in ISO-8601 format.
        - name: period
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/Period'
              - type: 'null'
            description: The period used to partition the report details.
            examples:
              - year
            default: all
            title: Period
          description: The period used to partition the report details.
        - name: Accept
          in: header
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  anyOf:
                    - $ref: '#/components/schemas/ReportContentType'
                    - type: string
              - type: 'null'
            description: The content type of the response
            title: Accept
          description: The content type of the response
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CashFlowReport'
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: {}
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - report:read
components:
  schemas:
    ReportBasis:
      type: string
      enum:
        - accrual
        - modified_cash
      title: ReportBasis
    Period:
      type: string
      enum:
        - month
        - quarter
        - year
        - all
      title: Period
    ReportContentType:
      type: string
      enum:
        - application/json
        - application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
      title: ReportContentType
    CashFlowReport:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CashFlowPeriodReport'
          type: array
          title: Data
      type: object
      required:
        - data
      title: CashFlowReport
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    CashFlowPeriodReport:
      properties:
        period:
          type: string
          title: Period
          description: The report period
          examples:
            - '2025'
        records:
          items:
            $ref: '#/components/schemas/ReportLine'
          type: array
          title: Records
          description: The report records for the period
      type: object
      required:
        - period
        - records
      title: CashFlowPeriodReport
    ReportLine:
      properties:
        name:
          type: string
          title: Name
          description: The line description in the report
          examples:
            - Parent Group
        amount:
          type: number
          title: Amount
          description: The amount of lines in this group excluding child totals
          examples:
            - 21980.5
        total_amount:
          type: number
          title: Total Amount
          description: The total amount of the group including child totals
          examples:
            - 21980.5
        has_entries:
          type: boolean
          title: Has Entries
          description: Whether the report line has journal entries
          default: false
          examples:
            - true
        ledger_id:
          anyOf:
            - type: string
              format: ldg_string
            - type: 'null'
          title: Ledger Id
          description: The Ledger id if the line is tied to a Ledger
          examples:
            - null
        children:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReportLine'
              type: array
            - type: 'null'
          title: Children
          description: The nested report lines for this group
          examples:
            - - amount: 21980.5
                children: []
                ledger_id: ldg_WQMDNUHpBThYSNh4AprDBo
                name: Child Group
                total_amount: 21980.5
      type: object
      required:
        - name
        - amount
        - total_amount
      title: ReportLine
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````